This page describes an older version of the product. The latest stable version is 14.0.

Upgrading from a Previous Version


If you are currently using a previous version of XAP or InsightEdge, contact support@gigaspaces.com for information on how to upgrade to the most recent version.

As a best practice, when upgrading to the latest version, unzip the downloaded software package and port the necessary changes from your previous environment into your new environment. It is recommended to use the new distribution as-is.

Backwards Compatibility

This version of the InsightEdge Platform is backwards compatible to XAP version 11.0 (APIs and client-server). For more information about GigaSpaces’ backwards compatibility policy, refer to the Product Life Cycle and End-of-Life Policy page.

For information about product changes that may affect your upgrade process, refer to the sections on Upgrading from a Previous Version for XAP 12.2, 12.1, 12.0, and 11.0.

REST Manager API

V2 of the REST Manager API was released in this version. As a result, V1 has been deprecated. While V1 is still supported, we encourage upgrading to the latest version of the InsightEdge platform in order to benefit from the the changes and improvements available with V2, and to ensure forward compatibility in client applications.

New Command Line Interface

A new Command Line Interface (CLI) was introduced in this version that supports both XAP and InsightEdge environments. While the old version is still supported, it will be deprecated in the future and we encourage working with the new version.